Xerces-C++ 3.2.4

Public Types | Public Member Functions | List of all members
BinMemInputStream Class Reference

`#include <xercesc/util/BinMemInputStream.hpp>`

Inheritance diagram for BinMemInputStream:

## Public Types
enum | BufOpts { BufOpt_Adopt , BufOpt_Copy , BufOpt_Reference }

## Public Member Functions
| BinMemInputStream (const XMLByte *const initData, const XMLSize_t capacity, const BufOpts bufOpt=BufOpt_Copy, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~BinMemInputStream ()
void | reset ()
virtual XMLFilePos | curPos () const
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)
virtual const XMLCh * | getContentType () const
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification. More...
XMLSize_t | getSize () const
Public Member Functions inherited from BinInputStream
virtual | ~BinInputStream ()
virtual XMLFilePos | curPos () const =0
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)=0
virtual const XMLCh * | getContentType () const =0
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification. More...
virtual const XMLCh * | getEncoding () const
| Return the "out-of-band" encoding for the data supplied by this input stream. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from BinInputStream
| BinInputStream ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Member Enumeration Documentation

## ◆ BufOpts

enum BinMemInputStream::BufOpts

Enumerator
BufOpt_Adopt |
BufOpt_Copy |
BufOpt_Reference |

## Constructor & Destructor Documentation

## ◆ BinMemInputStream()

BinMemInputStream::BinMemInputStream | ( | const XMLByte *const | initData,
|  | const XMLSize_t | capacity,
|  | const BufOpts | bufOpt = `BufOpt_Copy`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

## ◆ ~BinMemInputStream()

virtual BinMemInputStream::~BinMemInputStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ curPos()

XMLFilePos BinMemInputStream::curPos | ( |  | ) | const
| virtual

Implements BinInputStream.

## ◆ getContentType()

virtual const XMLCh * BinMemInputStream::getContentType | ( |  | ) | const
| virtual

Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

If no such content type is provided for the data, 0 is returned. This function is expected to return the correct value at any time after the construction of the stream.

An example of the stream that may return non-0 from this function is an HTTP stream with the value returned taken from the "Content-Type" HTTP header. Note also that if the encoding of the data is known to the application by some other means then the setEncoding function in the InputSource object should be used instead. The getContentType function should only be used to return information that is intrinsic to the stream.

Returns
  The content type, or 0 if one is not available.

Implements BinInputStream.

## ◆ getSize()

XMLSize_t BinMemInputStream::getSize | ( |  | ) | const

## ◆ readBytes()

virtual XMLSize_t BinMemInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const XMLSize_t | maxToRead
| ) |  |
| virtual

Implements BinInputStream.

## ◆ reset()

void BinMemInputStream::reset | ( |  | ) |

The documentation for this class was generated from the following file:

- BinMemInputStream.hpp